org.h2.dev.net

## Class PgTcpRedirect

- java.lang.Object
- - org.h2.dev.net.PgTcpRedirect

    public class PgTcpRedirect
    extends java.lang.Object

This class helps debug the PostgreSQL network protocol. It listens on one port, and sends the exact same data to another port.

### Constructor Summary

Constructors
Constructor and Description
`PgTcpRedirect()`

### Method Summary

Methods
`static void` `main(java.lang.String... args)` This method is called when executing this application from the command line.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PgTcpRedirect

    public PgTcpRedirect()

### Method Detail

#### main

    public static void main(java.lang.String... args)
                     throws java.lang.Exception

This method is called when executing this application from the command line.

Parameters:
  `args` - the command line parameters
Throws:
  `java.lang.Exception`